Hooks:PostHook(PlayerManager,"check_skills","kmerc_playermanager_checkskills",function(self)
	if self:has_category_upgrade("player","kmerc_fatal_triggers_invuln") then
		self:set_property("kmerc_invuln_ready",true)
	else
		self:remove_property("kmerc_invuln_ready")
	end
end)

local orig_health_skill_multiplier = PlayerManager.health_skill_multiplier
function PlayerManager:health_skill_multiplier(...)
	if not self:has_category_upgrade("player","kmerc_passive_health_multiplier") then
		return orig_health_skill_multiplier(self,...)
	end
	return orig_health_skill_multiplier(self,...) + self:upgrade_value("player","kmerc_passive_health_multiplier")
end

--this upgrade is no longer used
--[[
local orig_crit_chance = PlayerManager.critical_hit_chance
function PlayerManager:critical_hit_chance(detection_risk,...)
	if self:has_category_upgrade("player","kmerc_crit_chance_per_max_armor") then
		local upgrade_data = self:upgrade_value("player","kmerc_crit_chance_per_max_armor")
		local player_unit = self:local_player()
		if alive(player_unit) then
			local rate_crit = upgrade_data.crit_chance
			local rate_armor = upgrade_data.armor_points
			local dmg_ext = player_unit:character_damage()
			local max_armor = dmg_ext:_max_armor()
			
			local bonus = math.floor(max_armor / rate_armor) * rate_crit
			return orig_crit_chance(self,detection_risk,...) + bonus
		end
	end
	
	return orig_crit_chance(self,detection_risk,...)
end
--]]