local orig_check_run = PlayerStandard._check_action_run
function PlayerStandard:_check_action_run(t, input,...)
	if managers.player:get_temporary_property("kmerc_invuln") then
		return
	end
	return orig_check_run(self,t,input,...)
end

Hooks:PostHook(PlayerStandard,"_get_swap_speed_multiplier","kmerc_playerstandard_getswapspeedmul",function(self,...)
	if managers.player:has_category_upgrade("player","kmerc_swap_speed_per_max_armor") then
		local dmg_ext = self._unit:character_damage() 
		if dmg_ext then
			local orig_value = Hooks:GetReturn()
			local rate_bonus = managers.player:upgrade_value("player","kmerc_swap_speed_per_max_armor",0)
			local rate_armor = tweak_data.upgrades.values.player.kmerc_generic_bonus_per_max_armor_rate
			local max_armor = dmg_ext:_max_armor()
			local bonus = math.floor(max_armor / rate_armor) * rate_bonus
			return orig_value + bonus
		end
	end
end)