
local weapon_base
local required_script = string.lower(RequiredScript)
if required_script == "lib/units/weapons/raycastweaponbase" then
	weapon_base = RaycastWeaponBase
elseif required_script == "lib/units/weapons/newraycastweaponbase" then
	weapon_base = NewRaycastWeaponBase
end

Hooks:PostHook(weapon_base,"reload_speed_multiplier","kmerc_weaponbase_reloadmul_" .. tostring(required_script),function(self,...)
	if managers.player:has_category_upgrade("player","kmerc_reload_speed_per_max_armor") then
		local player = managers.player:local_player()
		if alive(player) then
			local dmg_ext = player:character_damage() 
			if dmg_ext then
				local orig_value = Hooks:GetReturn()
				local rate_bonus = managers.player:upgrade_value("player","kmerc_reload_speed_per_max_armor",0)
				local rate_armor = tweak_data.upgrades.values.player.kmerc_generic_bonus_per_max_armor_rate
				local max_armor = dmg_ext:_max_armor()
				local bonus = math.floor(max_armor / rate_armor) * rate_bonus
				return orig_value + bonus
			end
		end
	end
end)